import 'dart:async';

import 'package:flutter/services.dart';

class SharedAdvanced {
  static const MethodChannel _channel =
      const MethodChannel('shared_advanced');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  Future<String> sharetoapp(String app, String msg) async{
    final Map<String, Object> arguments = Map<String, dynamic>();
    arguments.putIfAbsent('msg', () => msg);
    arguments.putIfAbsent('app', () => app);
    dynamic result;
    try {
      result = await _channel.invokeMethod('sharetoapp', arguments);
    } catch (e) {
      return "false";
    }
    return result;
  }
}
